# easier-docker

![PyPI - Python Version](https://img.shields.io/pypi/pyversions/easier-docker)
![Static Badge](https://img.shields.io/badge/-docker-grey?logo=docker)
![GitHub License](https://img.shields.io/github/license/touero/easier-docker)
![PyPI - License](https://img.shields.io/pypi/l/easier-docker)
![PyPI - Downloads](https://img.shields.io/pypi/dm/easier-docker)
![GitHub last commit](https://img.shields.io/github/last-commit/touero/easier-docker)
[![Upload Package To PyPI](https://github.com/touero/easier-docker/actions/workflows/python-publish.yml/badge.svg?branch=master)](https://github.com/touero/easier-docker/actions/workflows/python-publish.yml)


## Repository Introduction
This is based on [docker-py](https://github.com/docker/docker-py?tab=readme-ov-file) which makes it easier to run your program in docker.
Configure your container image information more easily in python, allowing the container in docker to execute the configured program you want to execute.


## Install
```bash
pip install easier-docker
```

## Usage
Please check [wiki](https://github.com/touero/easier-docker/wiki).

## Related 
### Repository
[docker-py](https://github.com/docker/docker-py) — A Python library for the Docker Engine API.

### Materials
[Docker SDK for Python](https://docker-py.readthedocs.io/en/stable/)

### Repository Used Example
[opsariichthys-bidens](https://github.com/weiensong/opsariichthys-bidens) — About
Building a Basic Information API for Chinese National Universities in the Handheld College Entrance Examination Based on Fastapi.


## Maintainers
[@touero](https://github.com/touero)


## Contributing
[Open an issue](https://github.com/weiensong/easier_docker/issues) or submit PRs to git branch `develop`.

Standard Python follows the [Python PEP-8](https://peps.python.org/pep-0008/) Code of Conduct.


### Contributors
This project exists thanks to all the people who contribute.

<a href="https://github.com/touero/easier-docker/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=weiensong/easier_docker"  alt=""/>
</a>


## License
[Apache License 2.0](https://github.com/weiensong/easier-docker/blob/master/LICENSE)

